Subject: Re: draft-duerst-dns-i18n-02.txt

From: Masataka Ohta <[email-masked]>
Date: Sun, 8 Aug 99 8:12:22 JST

Kre;

>   | Let NIC of AU judge it.
> 
> Such as it is, that is perhaps me...   For what good that does anyone.
> 
>   | An alternative among many is to have L.AU.
> 
> For what purpose?   What information would that add, beyond simply being
> a headache.

People can configure their software to interprete that only names
under L.AU use AU local characters.

>   | OK. But, you don't have to insult yourself, because no one can
>   | comprehend all the characters in the world, which is often forgotten
>   | in arguments of some Unicode lovers.
> 
> No, possibly no-one can (though claiming that no-one can possibly is perhaps
> going a little too far, it ought to be possible for someone to study all,
> and perhaps even master them all).
> 
> But that isn't the issue really - the issue really is that there's no way
> anyone (anyone other that the person concerned) can know which characters
> can be comprehended and which cannot.  On my workstation when some message
> is being displayed, I can perhaps comprehend very little.  Then the person
> from the next office walks in, and the exact same message still displayed,
> can have more parts comprehended.  Someone else joins us, and even more can
> be comprehended.

What if, the message is delivered to you with X.400 protocol or
something like that which you don't but someone else may comprehend?

The communicating party must use the same protocol and profiling
(including characters and their encoding), of course.

The party may use private agreement or public ones.

>   | However, locally within some cultural group, members of the group
>   | may use any convention for there MUA.
> 
> This I think might be the problem.   You're assuming a local cultural
> group.   That is an unwise assumption.  What we have here is a cultural
> diversity.   In particular, this ...

That's why it is basically a problem of private agreement.

However, things like country may define its private agreement
required for the communication within or to the government,
educated at schools, enforced by law, ..., which makes the
agreement public.

Maybe, living in AU, which has never be bothered with its own country
local public character sets, you may have much more difficulty to grasp
the issue than those living in even US.

>   | Commercial software can be locally configured to use some encoding
>   | under some domain (AU, L.AU, JP or KRE.ORG).
> 
> is totally useless.   Inside a domain (say cs.mu.oz.au) there are likely to
> be several competing languages and character sets that need to be used.

Silly example.

People who want localization do not want to see or type "cs.mu.oz.au".

Your local software may hide "cs.mu.oz.au" from being displayed. It
may add a string of "cs.mu.oz.au" to the DNS names of local characters.

But, it all depends on your local configuration that the domain
"cs.mu.oz.au" has a special local meaning.

> To
> be able to operate rationally, I need to able to represent any of the names.

Wrong.

To be able to operate rationally, I need to able to comprehend any of
the names, which means you must stick to the current international
DNS, except for some special domains local to you.

> The information as to what language is being represented must appear as part
> of the name itself, it can't be configured externally, as nothing external
> can possibly know what it might be.

You are confusing "global" and "external".

No, nothing global can know what kind of local characters you can
comprehend, which is why you need local configuration.

The configuration can be internal to your local software, of course.

> On the other hand, external configuration can determine which languages
> (or more relevantly, character sets) should be attempted to be displayed
> in a native form, and which should be encoded some way so they will make more
> sense to the user.

It's local configuration. See above.

>   | > I would have thought that is easy too - if I have an environment
>   | > (existing and enabled) with the necessary support, then display them,
>   | > otherwise don't.
>   | 
>   | Are you aware that "them" is different locale by locale?
> 
> No, and I don't believe it.

OK. Assuming you have an enabled environment to Display the following:

	$"$J$?$K$O4A;z$OFI$a$J$$!#

which is a JIS X 0208 encoded Kanji-Kana script, it is harmful
if it is displayed to you in Kanji.

> Certainly the demands in some locales will
> be for some languages more than others, but I doubt there are almost any
> places left on earth where in any locality one can truly say "this is all we
> need here".

"local" means your local environment. "local" does not mean some
"place" on earth.

>   | Note that some people simply think all the international characters
>   | can be displayed to everyone.
> 
> I don't know that I have ever met one of those people.   I know I am not one.
> What I do expect though, is that any of the international characters can be
> made available to me, so I can decide which ones make sense to display, and
> which do not (and so that, as my circumstances change - perhaps just by someone
> else entering my office and looking at my screen, I can change the display
> form of the same data that was there before).

You must understand your "cs.mu.oz.au" example silly.

> That is, if I am looking at
> some mail from someone in Japan, and you were to enter my office, I ought
> be able to show you their address in Japanese (assuming they have a local one),
> even though in normal circumstances such a display would be useless, and even
> confusing, to me.

That's merely a locale switching.

							Masataka Ohta